rte_l2tpv2_msg_without_length(3)

NAME
rte_l2tpv2_msg_without_length

SYNOPSIS

#include <rte_l2tpv2.h>

  Data Fields

rte_be16_t tunnel_id
rte_be16_t session_id
rte_be16_t ns
rte_be16_t nr
rte_be16_t offset_size
uint8_t * offset_padding

Detailed Description

L2TPv2 message Header contains all options except length(ns, nr, offset size, offset padding).

Definition at line 142 of file rte_l2tpv2.h.

Field Documentation

  rte_be16_t tunnel_id
tunnel ID(16)

Definition at line 143 of file rte_l2tpv2.h.

  rte_be16_t session_id
session ID(16)

Definition at line 144 of file rte_l2tpv2.h.

  rte_be16_t ns
Ns(16)

Definition at line 145 of file rte_l2tpv2.h.

  rte_be16_t nr
Nr(16)

Definition at line 146 of file rte_l2tpv2.h.

  rte_be16_t offset_size
offset size(16)

Definition at line 147 of file rte_l2tpv2.h.

  uint8_t* offset_padding
offset padding(variable length)

Definition at line 148 of file rte_l2tpv2.h.

Author

Generated automatically by Doxygen for DPDK from the source code.